Subject: bug#911: 23.0.60; custom-set-faces causes "New Frame" to fail (max-specpdl-size)

From: Ian Miller <[email-masked]>
Date: Mon, 8 Sep 2008 00:42:26 +0100

On Sun, Sep 07, 2008 at 08:47:40PM +0200, martin rudalics wrote:
>
> And it happens when you evaluate that form in *scratch*?  I'm asking
> because I can't reproduce it here.  Maybe you should also try with a
> more recent checkout.

If I delete .emacs, and then evaluate the form in *scratch* then the
same symptoms occur. 

If however, I first create a new frame, and then evaluate the form in
that new frame, then the symptoms only occur in the frame in which I
evaluated the form but I am able to create new frames (with the
new font colours) from every other frame, including the original. 

I have tried this with the latest sources from CVS and get the same
results. 

> I wondered what precisely in `display-color-cells' could trigger the
> Variable binding depth exceeds max-specpdl-size.  Can you debug
> `display-color-cells'?

This is what I get if I toggle-debug-on-error 
(I hope this is useful?):

Debugger entered--Lisp error: (error "Variable binding depth exceeds max-specpdl-size")
  framep-on-display(#<frame emacs@baso 0xed2800>)
  display-color-cells(#<frame emacs@baso 0xed2800>)
  face-spec-set-match-display(((min-colors 88) (class color)) #<frame emacs@baso 0xed2800>)
  face-spec-choose((((... ...) (:foreground "white" :background "blue1")) ((...) (:foreground "white" :background "blue")) (t (:slant italic))) #<frame emacs@baso 0xed2800>)
  face-spec-match-p(custom-themed (((... ...) (:foreground "white" :background "blue1")) ((...) (:foreground "white" :background "blue")) (t (:slant italic))) #<frame emacs@baso 0xed2800>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "#ffffff" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "#ffffff")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t :stipple nil :background "#ffffff" :foreground "#000000" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  internal-set-lisp-face-attribute(default :background "DarkSlateGray" #<frame emacs@baso 0x10107a0>)
  set-face-attribute(default #<frame emacs@baso 0x10107a0> :background "DarkSlateGray")
  face-spec-set-2(default #<frame emacs@baso 0x10107a0> ((t (:stipple nil :background "DarkSlateGray" :foreground "wheat" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 121 :width normal :foundry "unknown" :family "DejaVu Sans Mono"))))
  face-spec-recalc(default #<frame emacs@baso 0x10107a0>)
  frame-set-background-mode(#<frame emacs@baso 0x10107a0>)
  x-create-frame-with-faces(nil)
  make-frame()
  make-frame-command()
  call-interactively(make-frame-command nil nil)